package com.ywt.mg.domain.models;

/**
 * 常量定义
 */
public class ConstantDef {

    /**
     * 系统异常统一提示语
     */
    public static final String ERROR_PROMPT = "网络错误";

    public static final String KEY_WHERE_SQL = "whereSql";
    public static final String KEY_PARAM_LIST = "paramList";

    // 下载excel时的分页
    public static final int PAGE_INDEX = 1;
    public static final int PAGE_SIZE = 20000;


    /**
     * 推广资料图片存放地址
     */
    public static final String HEALTH_MATERIAL_IMG_PATH = "img/health";


    /**
     * 网络请求返回
     */
    public static final int RESPONSE_CODE = 200;

    /**
     * 下载起始页：默认第一页
     */
    public static final int DOWNLOAD_PAGE_INDEX = 1;

    /**
     * 下载页数大小：默认1000
     */
    public static final int DOWNLOAD_PAGE_SIZE = 1000;

    /**
     * 对应ywt_center库hospital表id=1的南南方医科大学南方医院
     */
    public static final int NF_HOSPITAL_ID = 1;

    /**
     * 对应ywt_center库hospital表id=41的南方医科大学南方医院白云分院
     */
    public static final int NFBY_HOSPITAL_ID = 41;

    /**
     * 对应ywt_center库hospital表id=12的南方医院太和分院
     */
    public static final int TAIHE_HOSPITAL_ID = 12;

    /**
     * 对应ywt_center库hospital表subHospitalid=541的南方医科大学南方医院白云分院
     */
    public static final int NFBY_HOSPITAL_SUBHOSPITALID = 541;

    /**
     * 默认线下就诊费用：20元
     */
    public static final Integer DEFAULT_OFFLINE_FEE = 2000;

    /**
     * 审核退款（通过，不通过）
     */
    public static final String TAIHE_AUDIT_REFUND_TEMPLATE_CODE = "TPL_1066";


    public static final String FORMAT_DATE_DAY_WITH_NO_CHINESE = "yyyy-MM-dd";

    /**
     * 对账数据时间补全
     */
    public static final String BILL_TIME_START_FORMAT = " 00:00:00";
    public static final String BILL_TIME_END_FORMAT = " 23:59:59";
    public static final String BILL_TIME_LIST_FORMAT = ":00";
    public static final String BILL_PAYMENT_STR = "交易";
    public static final String BILL_REFUND_STR = "退款";

    /**
     * excel下载存放地址
     */
    public static final String BIG_DATA_EXCEL_FILE_PATH = "big_data_file/excel/%s";

    /**
     * 本地的下载文件路径
     */
    public static final String LOCAL_DOWNLOAD_FILE_PATH = "./download_file/";

    /**
     * excel的后缀格式
     */
    public static final String EXCEL_SUFFIX_FORMAT = ".xls";

    /**
     * 过期天数，负号表示时间往前移
     */
    public static final int OVERDUE_DAY_NUM = -3;

    /**
     * 对应ywt_drug库pharmacy表id=1的广州医科大学附属第三医院生殖药房ID
     */
    public static final int GUANGSAN_PHARMACY_ID = 1;

    /**
     * 对应ywt_drug库pharmacy表id=2的南方医院太和分院的药房ID
     */
    public static final int TAIHE_PHARMACY_ID = 2;

    /**
     * 对应ywt_drug库pharmacy表id=10的国控大药房的药房ID
     */
    public static final int GK_PHARMACY_ID = 10;

    /**
     * 南方医科大学南方医院白云分院药房
     */
    public static final int NFBY_PHARMACY_ID = 11;
}
